Subject: [mpls] Signalling unnumbered links in RSVP-TE for IPv6 networks

From: "Alan Davey" <[email-masked]>
Date: Mon, 7 Feb 2005 17:11:54 -0000

Hi

I have been looking at signalling RSVP-TE LSPs in IPv6 networks.  I think that the standard for signalling unnumbered links in RSVP-TE requires extension for use in an IPv6 network.  RFC3477 defines objects and subobjects with 32-bit Router IDs.  I think that there should be equivalent objects and subobjects defined with 128-bit router IDs for use in IPv6 networks.  

That is, there should be IPv6 equivalents, with 128-bit Router IDs, to the following.

-  LSP_TUNNEL_INTERFACE_ID Object.
-  The Unnumbered Interface ID ERO subobject.
-  The Unnumbered Interface ID RRO subobject.

My reasoning is as follows.

-  In RFC3477, the term "Router ID" is defined in section 2. to mean a stable IP address of an LSR that is always reachable if there is any connectivity to the LSR.

-  If using OSPF or ISIS as the IGP, then RFC3477 recommends that the router ID is set to the OSPF-TE "Router Address" or ISIS "TE Router ID".

-  Recent drafts from the OSPF and ISIS WGs have defined IPv6 traffic engineering extensions with 128-bit router addresses.

	-  draft-ietf-ospf-ospfv3-traffic, which defines extensions for traffic engineering to OSPFv3, defines a "Router IPv6 Address" TLV to advertise a stable IPv6 address that is always reachable if there is connectivity to the OSPFv3 router.

	-  draft-ietf-isis-ipv6-te defines a 128-bit "IPv6 TE Router ID" for supporting IPv6 traffic engineering.

-  The MPLS TE specification needs to change (rather than changing the OSPF and ISIS drafts) to allow a router in the path of an LSP to be identified using an IPv6 address.  In particular, to allow LSPs to be signalled using a node IPv6 address where there are no interface addresses.

-  Therefore, to signal unnumbered links in RSVP-TE there need to be objects and subobjects defined that are the equivalent to those defined in RFC3477 but with 128-bit Router IDs, as suggested above.

Is there interest in a draft to specify extensions to RFC3477 for IPv6 networks?

Note also that I think a similar change is required to RFC3812 (TE-MIB) to allow an IPv6 address to be specified to identify the ingress and egress routers.

All comments are welcome.

Regards

Alan Davey

------------------------------------
Alan Davey
Data Connection Ltd
Tel:   +44 20 8366 1177       
Fax:   +44 20 8363 1039
Email: [email-masked]  
Web:   http://www.dataconnection.com 

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls